import java.io.*;

class BinVerdier {
  public static void main(String[] args) {
    try (
        FileOutputStream utFilStrm = new FileOutputStream("testfil.dat", false);
        BufferedOutputStream bufretUtStrm = new BufferedOutputStream(utFilStrm);
        DataOutputStream utBinStrm = new DataOutputStream(bufretUtStrm)) {
      utBinStrm.writeBoolean(false);
      utBinStrm.writeBoolean(true);
      utBinStrm.writeByte(20);
      utBinStrm.writeChar('A');
      utBinStrm.writeDouble(20.0D);
      utBinStrm.writeFloat(20.0F);
      utBinStrm.writeInt(20);
      utBinStrm.writeLong(20);
      utBinStrm.writeShort(20);
    }
    catch (IOException unntak) {
      System.out.print("Feil ved skriving: " + unntak);
    }

    try (
        FileInputStream innFilStrm = new FileInputStream("testfil.dat");
        BufferedInputStream bufretInnStrm = new BufferedInputStream(innFilStrm);
        DataInputStream innBinStrm = new DataInputStream(bufretInnStrm) ) {
      System.out.println(innBinStrm.readBoolean());
      System.out.println(innBinStrm.readBoolean());
      System.out.println(innBinStrm.readByte());
      System.out.println(innBinStrm.readChar());
      System.out.println(innBinStrm.readDouble());
      System.out.println(innBinStrm.readFloat());
      System.out.println(innBinStrm.readInt());
      System.out.println(innBinStrm.readLong());
      System.out.println(innBinStrm.readShort());
    }
    catch (IOException unntak) {
      System.out.print("Feil ved skriving: " + unntak);
    }
  }
}