import java.io.BufferedInputStream;
import java.io.DataInputStream;
import java.io.EOFException;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

public class FilSluttDemo {

  public static void main(String[] args) {                               // (1)
    try {                                                                // (2)
      lesFraBinFil(args[0]);                                             // (3)
    }
    catch (ArrayIndexOutOfBoundsException unntak) {
      System.out.println("Filen ikke spesifisert p kommandolinjen");
      unntak.printStackTrace();
    }
    catch (FileNotFoundException unntak) {                               // (4)
      System.out.println("Filen ikke funnet: " + unntak);
      unntak.printStackTrace();
    }
    catch (IOException unntak) {                                         // (5)
      System.out.println("Feil ved lesing: " + unntak);
      unntak.printStackTrace();
    }
  }

  public static void lesFraBinFil(String filnavn) throws IOException {   // (6)
    try (                                                                // (7)
      FileInputStream innFilStrm = new FileInputStream(filnavn);        // (8)
      BufferedInputStream bufretInnStrm = new BufferedInputStream(innFilStrm);
      DataInputStream innBinStrm = new DataInputStream(bufretInnStrm)) {
      while (true) {                                                     // (9)
        int i = innBinStrm.readInt();                                   // (10)
        System.out.println(i);
      }
    }
    catch (EOFException unntak) {                                        // (11)
      System.out.println("Slutt p inndata.");
    }
  }
}