class Firma {
  // Felt
  private PersonellRegister register;

  // Konstruktrer
  Firma() {
    register = new PersonellRegister();
  }
  Firma(PersonellRegister register) {
    this.register = register;
  }

  // Skriv statistikk
  void skrivRapport() {
    System.out.println(register);
  }
  void skrivAlleAnsatteTilTerminalvindu() {
    Ansatt[] ansattTabell = register.hentAnsattTabell();
    int antallAnsatte = register.hentAntallAnsatte();
    System.out.println("Antall ansatte: " + antallAnsatte);
    for (int i = 0; i < antallAnsatte; i++)
      System.out.println(ansattTabell[i]);
  }

  public static void main(String[] args) {
    // Opprett en tabell med ansatte.
    Ansatt[] ansattInfo = {
        new Ansatt("Ole",  "Olsen",  515.00, Ansatt.MANN),
        new Ansatt("Bill", "Bailey", 612.00, Ansatt.MANN),
        new Ansatt("Liv",  "Larsen", 820.00, Ansatt.KVINNE)
    };

    // Opprett et personellregister.
    PersonellRegister register = new PersonellRegister(ansattInfo);
    // Opprett et firma.
    Firma firma = new Firma(register);

    // Skriv opplysninger om ansatte til terminalvinduet.
    firma.skrivAlleAnsatteTilTerminalvindu();
    firma.skrivRapport();
  }
}