import java.io.*;

class TekstRepresentasjon {

  public static void main(String[] args) throws IOException {
    try ( FileWriter tekstFilSkriver = new FileWriter("TekstRepresentasjon.txt");
          BufferedWriter bufretSkriver = new BufferedWriter(tekstFilSkriver);
          PrintWriter tekstSkriver = new PrintWriter(bufretSkriver) ) {
      Ansatt nyAnsatt = new Ansatt("Ole", "Olsen", 515.00, Ansatt.MANN);
      PersonellRegister register = new PersonellRegister();
      register.leggTilAnsatt(nyAnsatt);
      String utStreng = "Ut med meg!";

      tekstSkriver.println(nyAnsatt); // "Fornavn: Ole Olsen ... "
      tekstSkriver.println(register); // toString()-metoden kalles.
      tekstSkriver.println(utStreng); // "UT med meg!"
      tekstSkriver.println(true);     // "true"
      tekstSkriver.println(false);    // "false"
      tekstSkriver.println(2012);     // "2012"
      tekstSkriver.println(3.14);     // "3.14"

      System.out.println(nyAnsatt);
      System.out.println(register);
      System.out.println(utStreng);
    }
    catch (IOException unntak) {
      System.out.print("Feil ved skriving: " + unntak);
    }
  }
}