class ArbeidsLeder extends Ansatt {

  // Ny egenskap
  private double lederTillegg;

  // Konstruktrer
  public ArbeidsLeder() { /* Standard verdier for alle felt. */ }

  public ArbeidsLeder(String fNavn, String eNavn, double tLnn, boolean kjnn,
                      double tillegg) {
    super(fNavn, eNavn, tLnn, kjnn); // superklassens konstruktr
    lederTillegg = tillegg;            // lagrer utvidet tilstand
  }

  @Override
  public String toString() {
    return super.toString() +
           "\nfr " + String.format("%.2f", lederTillegg) + " i ledertillegg.";
  }

  @Override
  public double beregnUkelnn(double antallTimer) {
    double ukelnn = super.beregnUkelnn(antallTimer);   // bruker arvet
    ukelnn += lederTillegg;                             // ny oppfrsel
    return ukelnn;
  }

  // Nye instansmetoder
  public void settLederTillegg(double tillegg) { lederTillegg = tillegg; }
  public double hentLederTillegg()             { return lederTillegg; }
}