class FirmaTerminalvindu {

  // Felt
  private PersonellRegister register;

  // Konstruktrer
  public FirmaTerminalvindu() {
    register = new PersonellRegister();
  }
  public FirmaTerminalvindu(PersonellRegister register) {
    this.register = register;
  }

  // Skriv statistikk
  void skrivRapport() {
    System.out.println(register);
  }
  void skrivAlleAnsatteTilTerminalvindu() {
    Ansatt[] ansattTabell = register.hentAnsattTabell();
    int antallAnsatte = register.hentAntallAnsatte();
    System.out.println("Antall ansatte: " + antallAnsatte);
    for (int i = 0; i < antallAnsatte; i++)
      System.out.println(ansattTabell[i]);
  }

  public static void main(String[] args) {

    // Opprett et personellregister.
    PersonellRegister register = new PersonellRegister();
    // Opprett et firma.
    FirmaTerminalvindu firma = new FirmaTerminalvindu(register);

    // Les ansattopplysninger fra tastatur
    System.out.println("Leser fra tastaturet.");
    firma.lesAlleAnsatteFraTerminalvindu();

    // Skriv opplysninger om ansatte til terminalvinduet.
    firma.skrivAlleAnsatteTilTerminalvindu();
    firma.skrivRapport();
  }

  void lesAlleAnsatteFraTerminalvindu() {                    // (1)
    String svar;
    do {
      System.out.println("Oppgi informasjon om ansatt.");
      System.out.print("Fornavn: ");
      String fornavn = Tastatur.lesStreng();
      System.out.print("Etternavn: ");
      String etternavn = Tastatur.lesStreng();
      System.out.print("Timelnn: ");
      double timelnn = Tastatur.lesFlyttall();
      System.out.print("Er dette en kvinne? (j/n): ");
      svar = Tastatur.lesStreng();
      boolean kjnn = Ansatt.MANN;
      if (svar.equals("j"))
        kjnn = Ansatt.KVINNE;
      Ansatt ansatt = new Ansatt(fornavn, etternavn, timelnn, kjnn);
      register.leggTilAnsatt(ansatt);
      System.out.print("Er det flere ansatte? (j/n): ");
      svar = Tastatur.lesStreng();
    } while (svar.equals("j"));
  }
}