//Kopierer en fil til en annen fil.
import java.io.*;

class KopierFil {

  public static void main(String args[]) {
    try ( // Leser filnavn fra kommandolinjen og tilordner filer.
      FileInputStream fra_fil = new FileInputStream(args[0]);
      FileOutputStream til_fil = new FileOutputStream(args[1]) ) {

      int i = fra_fil.read();
      while (i != -1) { // eof?
        til_fil.write(i);
        i = fra_fil.read();
      }

    } catch(FileNotFoundException e) {
      System.out.println("Fil ikke funnet");
    } catch(IOException e) {
      System.out.println("Feil under fil-hndtering");
    } catch(ArrayIndexOutOfBoundsException e) {
      System.out.println("Bruk: KopierFil <fra-filnavn> <til-filnavn>");
    }
  }
}
